Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2
Class InvokeGeneratorMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.api.CompilationMessageBundle
                  org.apache.ode.bpel.compiler.v2.InvokeGeneratorMessages

    public class InvokeGeneratorMessages

extends CompilationMessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`InvokeGeneratorMessages()`

Method Summary
`CompilationMessage` | `errInvokeNoInputMessageForInputOp(java.lang.String operation)` Invoke doesn't define an input variable even though the operation {0} declares an input message.
`CompilationMessage` | `errInvokeNoOutputMessageForOutputOp(java.lang.String operation)` Invoke doesn't define an output variable even though the operation {0} declares an output message.
`CompilationMessage` | `errPortTypeMismatch(javax.xml.namespace.QName iptype, javax.xml.namespace.QName pltype)`

Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle
`formatCompilationMessage`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokeGeneratorMessages

    public InvokeGeneratorMessages()

Method Detail

### errInvokeNoOutputMessageForOutputOp

    public CompilationMessage errInvokeNoOutputMessageForOutputOp(java.lang.String operation)

  Invoke doesn't define an output variable even though the operation {0} declares an output message.

### errInvokeNoInputMessageForInputOp

    public CompilationMessage errInvokeNoInputMessageForInputOp(java.lang.String operation)

  Invoke doesn't define an input variable even though the operation {0} declares an input message.

### errPortTypeMismatch

    public CompilationMessage errPortTypeMismatch(javax.xml.namespace.QName iptype,
                                                  javax.xml.namespace.QName pltype)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD